<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="200px" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
              <!--PD000027 -->
           <el-tab-pane label="PD000027" name="infsea">
                <m-infsea :model="model" :codes="codes"/>
           </el-tab-pane>
            <!--PD000119 -->
           <el-tab-pane label="PD000119" name="feep">
                <m-feep :model="model" :codes="codes"/>
           </el-tab-pane>
 

       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Utils from "~/utils/index"
import Inffee from "~/model/Inffee"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Inffee/Check"
import Default from "~/model/Inffee/Default"
import Pattern from "~/model/Inffee/Pattern"
import Feep from "./Feep"
import Infsea from "./Infsea"
export default {
    components:{
        "m-feep" : Feep,
        "m-infsea" : Infsea,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "infsea",
            trnName: "inffee",
            model: new Inffee().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes:  { ...CodeTable },
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入inffee交易");
          let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑
             this.updateModel(rtnmsg.data)
        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
     /**   let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        } 
        const that = this;
        that.init(that.model).then(res => {
            //TODO 处理数据逻辑
             that.model = Utils.copyValueFromVO(that.model, res.data)
            //  that.$refs.Menu.stmData.columns = res.data.sptstm.rows;
        })
        **/

    }
}
</script>
<style>

</style>
